--[[
%% autostart
--]]

local sourceTrigger = fibaro:getSourceTrigger();


function tempFunc()
  print("petla, wykonanie fukcji tempFunc")
  
  local currentDate = os.date("*t");
  local startSource = fibaro:getSourceTrigger();
    
  if (currentDate.wday == 1 or currentDate.wday == 2 
      or currentDate.wday == 3 or currentDate.wday == 4 
      or currentDate.wday == 5 or currentDate.wday == 6 
      or currentDate.wday == 7) 
    and string.format("%02d", currentDate.hour) .. ":" .. string.format("%02d", currentDate.min) == "21:35"
    then
      print(os.date("%c",os.time())," - automatyczne zamkniecie zaslony")
      fibaro:call(565, "close"); --rozkaz zamkniecia zaslony - Roller Shutter na 0 % 
  end

  setTimeout(tempFunc, 60*1000) --wywolanie samej siebie za 1-na minute
end

--normalna sytuacja scena wywolania automatycznie po zapisie lub starcie centrali
if (sourceTrigger["type"] == "autostart") then
  print("auto start")
  tempFunc()
else

  local currentDate = os.date("*t");
  local startSource = fibaro:getSourceTrigger();

  if (startSource["type"] == "other") then
      print("reczne wykonanie")
      fibaro:call(565, "close");
  end

end


